<form (ngSubmit)="onSubmit(f)" #f=ngForm>
  <div class="row">
    <div class="col-sm-4 col-xs-12">
      <div class="form-group">
        <label for="id" class="label">SN#</label>
        <input type="text" nbInput fullWidth placeholder="SN#" ngModel name="sn" required>
      </div>
    </div>
    <div class="col-sm-4 col-xs-12">
      <div class="form-group">
        <label for="name" class="label">Name<span class="text-danger">*</span></label>
        <input type="text" nbInput fullWidth placeholder="Name" ngModel name="name" required>
      </div>
    </div>
    <!-- <div class="col-sm-4 col-xs-12">
      <div class="form-group">
        <label for="date" class="label">Registration Date</label>
        <input nbInput placeholder="Date" [nbDatepicker]="formpicker" fullWidth name="RegistrationDate">
        <nb-datepicker #formpicker></nb-datepicker>
      </div>
    </div> -->
    <div class="col-sm-4 col-xs-12">
      <div class="form-group">
        <label for="gender" class="label">Gender Type<span class="text-danger">*</span></label>
        <nb-select selected="Choose..." fullWidth name="genderType" ngModel required>
          <nb-option value="Choose..." disabled>Choose...</nb-option>
          <nb-option value="Male">Male</nb-option>
          <nb-option value="Female">Female</nb-option>
        </nb-select>
      </div>
    </div>
    <div class="col-sm-4 col-xs-12">
      <div class="form-group">
        <label for="genderFit" class="label">Gender Fit<span class="text-danger">*</span></label>
        <nb-select selected="Choose..." fullWidth name="genderFit" ngModel (selectedChange)='onGenderFit($event)'
          required>
          <nb-option value="Choose..." disabled>Choose...</nb-option>
          <nb-option *ngFor='let option of GenderFit' [value]="option">{{option}}</nb-option>
        </nb-select>

      </div>
    </div>
    <div class="col-sm-4 col-xs-12">
      <div class="form-group">
        <label for="category" class="label">Item Type<span class="text-danger">*</span></label>
        <nb-select selected="Choose..." fullWidth name="type" ngModel required>
          <nb-option value="Choose..." disabled>Choose...</nb-option>
          <nb-option value="Clothes">Clothes</nb-option>
          <nb-option value="Accessories">Accessories</nb-option>
          <nb-option value="Skin Care">Skin Care</nb-option>
          <nb-option value="Perfumes">Perfumes</nb-option>
        </nb-select>
      </div>
    </div>
    <div class="col-sm-4 col-xs-12">
      <div class="form-group">
        <label for="subtype" class="label">Item SubType<span class="text-danger">*</span></label>
        <nb-select selected="Choose..." fullWidth [(ngModel)]="ItemSubType" name="subtype1" ngModel
          [disabled]="!selectedItemSubTypes" required>
          <nb-option value="Choose..." disabled>Choose...</nb-option>
          <nb-option *ngFor='let option of selectedItemSubTypes' [value]="option">{{option}}</nb-option>
        </nb-select>
        <span class="text-danger"><small>Select Gender Fit First</small></span>
      </div>
    </div>
    <div class="col-sm-4 col-xs-12">
      <div class="form-group">
        <label for="cut" class="label">Cut Style<span class="text-danger">*</span></label>
        <nb-select selected="Choose..." fullWidth name="cutStyle" ngModel required>
          <nb-option value="Choose..." disabled>Choose...</nb-option>
          <nb-option value="Normal">Normal</nb-option>
          <nb-option value="Extra">Extra</nb-option>
          <nb-option value="Regular Fit">Regular Fit</nb-option>
          <nb-option value="Slim Fit">Slim Fit</nb-option>
          <nb-option value="Skinny Fit">Skinny Fit</nb-option>
        </nb-select>
      </div>
    </div>
    <div class="col-sm-4 col-xs-12">
      <div class="form-group">
        <label for="color" class="label">Color<span class="text-danger">*</span></label>
        <nb-select selected="Choose..." fullWidth name="color" ngModel required>
          <nb-option value="Choose..." disabled>Choose...</nb-option>
          <nb-option value="Navy">Navy</nb-option>
          <nb-option value="Black">Black</nb-option>
          <nb-option value="White">White</nb-option>
          <nb-option value="Blue">Blue</nb-option>
          <nb-option value="Green">Green</nb-option>
          <nb-option value="Red">Red</nb-option>
          <nb-option value="Dark Red">Dark Red</nb-option>
          <nb-option value="Grey">Grey</nb-option>
          <nb-option value="Yellow">Yellow</nb-option>
          <nb-option value="Orange">Orange</nb-option>
          <nb-option value="Brown">Brown</nb-option>
        </nb-select>
      </div>
    </div>
    <div class="col-sm-4 col-xs-12">
      <div class="form-group">
        <label for="color" class="label">Brand<span class="text-danger">*</span></label>
        <nb-select selected="Choose..." fullWidth name="brand" ngModel required>
          <nb-option value="Choose..." disabled>Choose...</nb-option>
          <nb-option value="Local Brand">Local Brand</nb-option>
          <nb-option value="International Brand">International Brand</nb-option>
        </nb-select>
      </div>
    </div>
    <div class="col-sm-4 col-xs-12">
      <div class="form-group">
        <label for="color" class="label">Size Unit<span class="text-danger">*</span></label>
        <nb-select selected="Choose..." fullWidth name="brand" ngModel required>
          <nb-option value="Choose..." disabled>Choose...</nb-option>
          <nb-option value="US Standard">US Standard</nb-option>
          <nb-option value="EU Standard">EU Standard</nb-option>
          <nb-option value="Numbers">Numbers</nb-option>
        </nb-select>
      </div>
    </div>
    <div class="col-sm-4 col-xs-12">
      <div class="form-group">
        <label for="size" class="label">Size<span class="text-danger">*</span></label>
        <input type="text" nbInput fullWidth class="form-control" name="size" ngModel required>
      </div>
    </div>
    <div class="col-sm-4 col-xs-12">
      <div class="form-group">
        <label for="height" class="label">Height(Shoulder to Feet) cm<span class="text-danger">*</span></label>
        <input type="number" nbInput fullWidth max='250' class="form-control" name="shoulderToFeet" ngModel required>
      </div>
    </div>
    <div class="col-sm-4 col-xs-12">
      <div class="form-group">
        <label for="height" class="label">Height(Shoulder to Heel) cm<span class="text-danger">*</span></label>
        <input type="number" nbInput fullWidth max='250' class="form-control" name="shoulderToHeel" ngModel required>
      </div>
    </div>
    <div class="col-sm-4 col-xs-12">
      <div class="form-group">
        <label for="height1" class="label">Height(Shoulder to Hip) cm<span class="text-danger">*</span></label>
        <input type="number" nbInput fullWidth max='250' class="form-control" name="shoulderToHip" ngModel required>
      </div>
    </div>
    <div class="col-sm-4 col-xs-12">
      <div class="form-group">
        <label for="chest" class="label">Chest Width cm<span class="text-danger">*</span></label>
        <input type="number" nbInput fullWidth max='250' class="form-control" name="chest" ngModel required>
      </div>
    </div>
    <div class="col-sm-4 col-xs-12">
      <div class="form-group">
        <label for="west" class="label">Waist Size cm<span class="text-danger">*</span></label>
        <input type="number" nbInput fullWidth max='250' class="form-control" name="waist" ngModel required>
      </div>
    </div>
    <div class="col-sm-4 col-xs-12">
      <div class="form-group">
        <label for="neck" class="label">Neck cm<span class="text-danger">*</span></label>
        <input type="number" nbInput fullWidth max='250' class="form-control" name="neck" ngModel required>
      </div>
    </div>
    <div class="col-sm-4 col-xs-12">
      <div class="form-group">
        <label for="legLength" class="label">Leg Length cm<span class="text-danger">*</span></label>
        <input type="number" nbInput fullWidth max='250' class="form-control" name="leg" ngModel required>
      </div>
    </div>
    <div class="col-sm-4 col-xs-12">
      <div class="form-group">
        <label for="sleeveLength" class="label">Sleeve Length cm<span class="text-danger">*</span></label>
        <input type="number" nbInput fullWidth max='250' class="form-control" name="sleeve" ngModel required>
      </div>
    </div>
  </div>
  <button type="submit" class="button" nbButton [disabled]="f.invalid">Submit</button>
</form>
<br><br>
<nb-card>
  <nb-card-header>Item Actions</nb-card-header>
  <nb-card-body>
    <div class="row">
      <div class="col-4 d-flex justify-content-center">
        <button type="button" class="btn btn-primary">Copy from</button>
      </div>
      <div class="col-4 d-flex justify-content-center">
        <button type="button" class="btn btn-primary">Edit</button>
      </div>
      <div class="col-4 d-flex justify-content-center">
        <button type="button" class="btn btn-primary">Add</button>
      </div>
    </div>
  </nb-card-body>
</nb-card>
